**************************** TABLES AND FIGURES CONSTRUCTION FOR *******************************
**************************** Optimal Taxation of Top Labor Incomes: **************************** 
**************************** A Tale of Three Elasticities **************************************

**************************** AUTHORS:************************************************************
***********                  Thomas Piketty, Emmanuel Saez and Stefanie Stantcheva          *****
*************************************************************************************************


**************************** DATE: **************************************************************
***********                  November 14th 2012  *****************************************************
*************************************************************************************************

**************************** DESCRIPTION ********************************************************
***********                  This do file constructs the working data for the US CEO analysis 
***********                  starting from Raw data fromt the WRDS website. 
***********                  INPUT files: Compustat1969_2012.dta contains all COMPUSTAT + CRSP data
***********                               Execucomp1992_2011.dta: all Execucomp data.
***********                               forbes2_ss.dta: all Forbes 800 data (from kevin Murphy)
***********                  OUTPUT files: working.dta 
*************************************************************************************************

clear all
set mem 1000m 

cd "C:\Users\Stefanie\Documents\My Dropbox\thirdelasticity\empirical\Compustat\"

use "Raw Data\Compustat1969_2012.dta"
sort gvkey fyear
save "Raw Data\Compustat1969_2012.dta", replace

use "Raw Data\Execucomp1992_2011.dta"
keep cusip year gvkey ticker ceoann salary bonus stock_awards option_awards noneq_incent pension_chg othcomp total_sec total_curr age tdc1 tdc2 gvkey execid becameceo joined_co gender
gen cusip6 = substr(cusip,1,6)
rename cusip cusip8
rename ticker tic

rename year fyear
sort gvkey fyear 
* apparently, recommended to merge by gvkey

merge gvkey fyear using "Raw Data\Compustat1969_2012.dta"
tab _merge
rename _merge _merge_execucomp

* all sorts of merging variables (cusip, gvkey, ticker) give me around 19 000 observations only in Execucomp
sort cusip8 fyear
save temp, replace

use "Raw Data\forbes2_ss.dta"
sort cusip8 fyear
save "Raw Data\forbes2_ss.dta", replace

use temp
merge cusip8 fyear using "Raw Data\forbes2_ss.dta"
tab _merge
rename _merge _merge_forbes

sort cusip6 fyear
keep if _merge_execucomp == 3 | _merge_forbes == 3

save working, replace







